import javax.swing.JOptionPane;

/**
	Chapter 3
	Programming Challenge 6: Time Calculator
*/

public class TimeCalc
{
   public static void main(String[] args)
   {
		double seconds;	// The number of seconds
		String input;	// To hold keyboard input

		// Constants
		final double SECONDS_PER_MINUTE = 60.0;  // Seconds in a minute
		final double SECONDS_PER_HOUR = 3600.0;  // Seconds in an hour
		final double SECONDS_PER_DAY = 86400.0;  // Seconds in a day

		// Get the number of seconds.
		input = JOptionPane.showInputDialog("Enter the number of seconds.");
		seconds = Double.parseDouble(input);

		// If the number of seconds is less than a minute,
		// that's all we have... just seconds.
		if (seconds < SECONDS_PER_MINUTE)
		{
			JOptionPane.showMessageDialog(null, "That's less than a minute, " +
			                       "an hour, or a day.");
		}

		// Display the number of minutes, if any.
		if (seconds >= SECONDS_PER_MINUTE)
		{
			JOptionPane.showMessageDialog(null, "There are " +
			            (seconds / SECONDS_PER_MINUTE) +
			            " minutes in " + seconds + " seconds.");
		}

		// Display the number of hours, if any.
		if (seconds >= SECONDS_PER_HOUR)
		{
			JOptionPane.showMessageDialog(null, "There are " +
			            (seconds / SECONDS_PER_HOUR) +
			            " hours in " + seconds + " seconds.");
		}

		// Display the number of days, if any.
		if (seconds >= SECONDS_PER_DAY)
		{
			JOptionPane.showMessageDialog(null, "There are " +
			            (seconds / SECONDS_PER_DAY) +
			            " days in " + seconds + " seconds.");
		}

		// Exit the applicaton.
		System.exit(0);
	}
}
