import java.util.Scanner;

/**
   Demo program for the Circle class
   Chapter 6, Programming Challenge 7
*/

public class CircleDemo
{
   public static void main(String[] args)
   {
      double radius;       // The radius of a circle

      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
            
      // Get the radius of a circle.
      System.out.print("Enter the radius of a circle: ");
      radius = keyboard.nextDouble();
      
      // Create a Circle object.
      Circle c = new Circle(radius);
      
      // Display geometric info about the circle.
      System.out.println("The circle's area is " + 
                         c.getArea());
      System.out.println("The circle's diameter is " + 
                         c.getDiameter());
      System.out.println("The circle's circumference is " +
                         c.getCircumference());
   }
}
