import java.util.StringTokenizer;
import javax.swing.JOptionPane;

/**
   Chapter 10
   Programming Challenge 2, Word Counter
*/

public class WordCounterDemo
{
   public static void main(String[] args)
   {
      String input;  // To hold keyboard input
      
      input = JOptionPane.showInputDialog("Enter a string.");
      JOptionPane.showMessageDialog(null, "That string has " +
                                    wordCount(input) +
                                    " words in it.");

      // Exit the applicaton.
      System.exit(0);
   }
   
   /**
      The wordCount method counts the number of words in
      a string.
      @param str The string to count.
      @return The number of words.
   */
   
   public static int wordCount(String str)
   {
      StringTokenizer strTok = new StringTokenizer(str);
      return strTok.countTokens();
   }
}