import java.util.Scanner;

/**
   Chapter 10
   Programming Challenge 9, Sum of digits in a string
*/

public class SumOfDigits
{
   public static void main(String[] args)
   {
      String input;        // To hold keyboard input
      int sum = 0;         // Accumulator
      int num;             // To hold a number
      int highest = 0;     // The highest digit
      int lowest = 0;      // The lowest digit
      char[] array;        // Array to hold the characters
      String numAsString;  // To hold a number as a string
      
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);

      // Get a string of digits.
      System.out.print("Enter a string of digits: ");
      input = keyboard.nextLine();
      
      // Convert the string to a char array.
      array = input.toCharArray();
      
      // Get the digits and sum them.
      for (int i = 0; i < array.length; i++)
      {
         // Convert an element to a String.
         numAsString = String.valueOf(array[i]);
         
         // Accumulate the numeric value.
         num = Integer.parseInt(numAsString);
         sum += num;
         
         // Find the highest and lowest.
         if (i == 0)
         {
            highest = num;
            lowest = num;
         }
         else
         {
            // Is this the highest so far?
            if (num > highest)
               highest = num;
            
            // Is this the lowest so far?
            if (num < lowest)
               lowest = num;
         }
      }
      
      System.out.println("The sum of those numbers is " +
                         sum);
      System.out.println("The highest digit is " + highest);
      System.out.println("The lowest digit is " + lowest);
   }  
}