import java.text.DecimalFormat;

/**
   Chapter 4
   Programming Challenge 11, Centigrade to Fahrenheit Table
*/

public class CtoF
{
   public static void main(String[] args)
   {
      double fahrenheit;   // The Fahrenheit temperature
      double centigrade;   // The centigrade temperature
      
      // Create a DecimalFormat class to format output.
      DecimalFormat fmt = new DecimalFormat(" 0.0");
             
      // Display the table headings.
      System.out.println("Centigrade\t\tFahrenheit");
      System.out.println("------------------------------");
      
      // Display the table.
      for (centigrade = 0; centigrade <= 20; centigrade++)
      {
         fahrenheit = (9.0 / 5.0) * centigrade + 32;
         System.out.println(fmt.format(centigrade) +
                            "\t\t" + 
                            fmt.format(fahrenheit));
      }
   }
}
