/**
	Demo program for the ArrayOperations class
	Chapter 8, Programming Challenge 10
*/

public class ArrayOperationsDemo
{
	public static void main(String[] args)
	{
		// Some arrays of various types.
		int[] iarray = { 2, 1, 9, 7, 3 };
		float[] farray = { 3.5F, 4.6F, 1.7F, 8.9F, 2.1F };
		double[] darray = { 98.7, 89.2, 55.1, 77.6, 99.9 };
		long[] larray = {100, 500, 200, 300, 400 };
		
		// Process the int array.
		System.out.println("Processing the int array.");
		System.out.println("Total : " +
		                   ArrayOperations.getTotal(iarray));
		System.out.println("Average : " +
		                   ArrayOperations.getAverage(iarray));
		System.out.println("Highest value : " +
		                   ArrayOperations.getHighest(iarray));
		System.out.println("Lowest value : " +
		                   ArrayOperations.getLowest(iarray));

		// Process the float array.
		System.out.println("\nProcessing the float array.");
		System.out.println("Total : " +
		                   ArrayOperations.getTotal(farray));
		System.out.println("Average : " +
		                   ArrayOperations.getAverage(farray));
		System.out.println("Highest value : " +
		                   ArrayOperations.getHighest(farray));
		System.out.println("Lowest value : " +
		                   ArrayOperations.getLowest(farray));

		// Process the double array.
		System.out.println("\nProcessing the double array.");
		System.out.println("Total : " +
		                   ArrayOperations.getTotal(darray));
		System.out.println("Average : " +
		                   ArrayOperations.getAverage(darray));
		System.out.println("Highest value : " +
		                   ArrayOperations.getHighest(darray));
		System.out.println("Lowest value : " +
		                   ArrayOperations.getLowest(darray));

		// Process the long array.
		System.out.println("\nProcessing the long array.");
		System.out.println("Total : " +
		                   ArrayOperations.getTotal(larray));
		System.out.println("Average : " +
		                   ArrayOperations.getAverage(larray));
		System.out.println("Highest value : " +
		                   ArrayOperations.getHighest(larray));
		System.out.println("Lowest value : " +
		                   ArrayOperations.getLowest(larray));
	}
}