import javax.swing.JOptionPane;
import java.util.StringTokenizer;

/**
	Chapter 10
	Programming Challenge 8, Sum of numbers in a string
*/

public class SumOfNumbers
{
	public static void main(String[] args)
	{
		String input;			// User input
		double sum = 0.0;		// Accumulator
		
		// Get a list of numbers.
		input = JOptionPane.showInputDialog("Enter a series of " + 
		                      "numbers separated only by commas: ");
		
		// Create a StringTokenizer object.
		StringTokenizer strtok = new StringTokenizer(input, ",");
		
		// Get the numbers and sum them.
		while (strtok.hasMoreTokens())
		{
			sum += Double.parseDouble(strtok.nextToken());
		}
		
		// Display the sum.
		JOptionPane.showMessageDialog(null, "The sum of those " + 
		                              "numbers is " + sum);

		// Exit the applicaton.
		System.exit(0);
	}	
}