/**
	Chapter 12, Programming Challenge 5
	InvalidIDExceptions are thrown by Payroll
	objects when an invalid ID number is given.
*/

public class InvalidIDException extends Exception
{
	/**
		No-arg constructor
	*/
		
	public InvalidIDException()
	{
		super("Invalid ID number");
	}

	/**
		This constructor reports the ID number
		that caused the exception to be thrown.
		@param idNum The invalid ID number.
	*/
		
	public InvalidIDException(int idNum)
	{
		super("Invalid ID number: " + idNum);
	}
}